HTTPClientCommon.h File Reference

Go to the source code of this file.

## Classes

struct | _HTTP_CLIENT

## Macros

#define | HTTP_CLIENT_MAX_URL_LENGTH 512
#define | HTTP_CLIENT_FLAG_KEEP_ALIVE 0x00000001
#define | HTTP_CLIENT_FLAG_SEND_CHUNKED 0x00000002
#define | HTTP_CLIENT_FLAG_NO_CACHE 0x00000004
#define | HTTP_CLIENT_FLAG_ASYNC 0x00000008
#define | HTTP_CLIENT_STATE_PRE_INIT 0x00000000
#define | HTTP_CLIENT_STATE_INIT 0x00000001
#define | HTTP_CLIENT_STATE_URL_PARSED 0x00000002
#define | HTTP_CLIENT_STATE_HOST_CONNECTED 0x00000004
#define | HTTP_CLIENT_STATE_HEAD_SENT 0x00000008
#define | HTTP_CLIENT_STATE_POST_SENT 0x00000010
#define | HTTP_CLIENT_STATE_REQUEST_SENT 0x00000020
#define | HTTP_CLIENT_STATE_HEADERS_RECIVED 0x00000040
#define | HTTP_CLIENT_STATE_HEADERS_PARSED 0x00000080
#define | HTTP_CLIENT_STATE_HEADERS_OK 0x00000100
#define | HTTP_CLIENT_SUCCESS 0
#define | HTTP_CLIENT_UNKNOWN_ERROR 1
#define | HTTP_CLIENT_ERROR_INVALID_HANDLE 2
#define | HTTP_CLIENT_ERROR_NO_MEMORY 3
#define | HTTP_CLIENT_ERROR_SOCKET_INVALID 4
#define | HTTP_CLIENT_ERROR_SOCKET_CANT_SET 5
#define | HTTP_CLIENT_ERROR_SOCKET_RESOLVE 6
#define | HTTP_CLIENT_ERROR_SOCKET_CONNECT 7
#define | HTTP_CLIENT_ERROR_SOCKET_TIME_OUT 8
#define | HTTP_CLIENT_ERROR_SOCKET_RECV 9
#define | HTTP_CLIENT_ERROR_SOCKET_SEND 10
#define | HTTP_CLIENT_ERROR_HEADER_RECV 11
#define | HTTP_CLIENT_ERROR_HEADER_NOT_FOUND 12
#define | HTTP_CLIENT_ERROR_HEADER_BIG_CLUE 13
#define | HTTP_CLIENT_ERROR_HEADER_NO_LENGTH 14
#define | HTTP_CLIENT_ERROR_CHUNK_TOO_BIG 15
#define | HTTP_CLIENT_ERROR_AUTH_HOST 16
#define | HTTP_CLIENT_ERROR_AUTH_PROXY 17
#define | HTTP_CLIENT_ERROR_BAD_VERB 18
#define | HTTP_CLIENT_ERROR_LONG_INPUT 19
#define | HTTP_CLIENT_ERROR_BAD_STATE 20
#define | HTTP_CLIENT_ERROR_CHUNK 21
#define | HTTP_CLIENT_ERROR_BAD_URL 22
#define | HTTP_CLIENT_ERROR_BAD_HEADER 23
#define | HTTP_CLIENT_ERROR_BUFFER_RSIZE 24
#define | HTTP_CLIENT_ERROR_BAD_AUTH 25
#define | HTTP_CLIENT_ERROR_AUTH_MISMATCH 26
#define | HTTP_CLIENT_ERROR_NO_DIGEST_TOKEN 27
#define | HTTP_CLIENT_ERROR_NO_DIGEST_ALG 28
#define | HTTP_CLIENT_ERROR_SOCKET_BIND 29
#define | HTTP_CLIENT_ERROR_TLS_NEGO 30
#define | HTTP_CLIENT_ERROR_NOT_IMPLEMENTED 64
#define | HTTP_CLIENT_EOS 1000

## Typedefs

typedef enum _HTTP_AUTH_SCHEMA | HTTP_AUTH_SCHEMA
typedef enum _HTTP_VERB | HTTP_VERB
typedef struct _HTTP_CLIENT | HTTP_CLIENT

## Enumerations

enum | _HTTP_AUTH_SCHEMA { AuthSchemaNone = 0 , AuthSchemaBasic , AuthSchemaDigest , AuthSchemaKerberos , AuthNotSupported }
enum | _HTTP_VERB { VerbGet = 0 , VerbHead , VerbPost , VerbNotSupported }

## Macro Definition Documentation

## HTTP_CLIENT_EOS

#define HTTP_CLIENT_EOS 1000

## HTTP_CLIENT_ERROR_AUTH_HOST

#define HTTP_CLIENT_ERROR_AUTH_HOST 16

## HTTP_CLIENT_ERROR_AUTH_MISMATCH

#define HTTP_CLIENT_ERROR_AUTH_MISMATCH 26

## HTTP_CLIENT_ERROR_AUTH_PROXY

#define HTTP_CLIENT_ERROR_AUTH_PROXY 17

## HTTP_CLIENT_ERROR_BAD_AUTH

#define HTTP_CLIENT_ERROR_BAD_AUTH 25

## HTTP_CLIENT_ERROR_BAD_HEADER

#define HTTP_CLIENT_ERROR_BAD_HEADER 23

## HTTP_CLIENT_ERROR_BAD_STATE

#define HTTP_CLIENT_ERROR_BAD_STATE 20

## HTTP_CLIENT_ERROR_BAD_URL

#define HTTP_CLIENT_ERROR_BAD_URL 22

## HTTP_CLIENT_ERROR_BAD_VERB

#define HTTP_CLIENT_ERROR_BAD_VERB 18

## HTTP_CLIENT_ERROR_BUFFER_RSIZE

#define HTTP_CLIENT_ERROR_BUFFER_RSIZE 24

## HTTP_CLIENT_ERROR_CHUNK

#define HTTP_CLIENT_ERROR_CHUNK 21

## HTTP_CLIENT_ERROR_CHUNK_TOO_BIG

#define HTTP_CLIENT_ERROR_CHUNK_TOO_BIG 15

## HTTP_CLIENT_ERROR_HEADER_BIG_CLUE

#define HTTP_CLIENT_ERROR_HEADER_BIG_CLUE 13

## HTTP_CLIENT_ERROR_HEADER_NO_LENGTH

#define HTTP_CLIENT_ERROR_HEADER_NO_LENGTH 14

## HTTP_CLIENT_ERROR_HEADER_NOT_FOUND

#define HTTP_CLIENT_ERROR_HEADER_NOT_FOUND 12

## HTTP_CLIENT_ERROR_HEADER_RECV

#define HTTP_CLIENT_ERROR_HEADER_RECV 11

## HTTP_CLIENT_ERROR_INVALID_HANDLE

#define HTTP_CLIENT_ERROR_INVALID_HANDLE 2

## HTTP_CLIENT_ERROR_LONG_INPUT

#define HTTP_CLIENT_ERROR_LONG_INPUT 19

## HTTP_CLIENT_ERROR_NO_DIGEST_ALG

#define HTTP_CLIENT_ERROR_NO_DIGEST_ALG 28

## HTTP_CLIENT_ERROR_NO_DIGEST_TOKEN

#define HTTP_CLIENT_ERROR_NO_DIGEST_TOKEN 27

## HTTP_CLIENT_ERROR_NO_MEMORY

#define HTTP_CLIENT_ERROR_NO_MEMORY 3

## HTTP_CLIENT_ERROR_NOT_IMPLEMENTED

#define HTTP_CLIENT_ERROR_NOT_IMPLEMENTED 64

## HTTP_CLIENT_ERROR_SOCKET_BIND

#define HTTP_CLIENT_ERROR_SOCKET_BIND 29

## HTTP_CLIENT_ERROR_SOCKET_CANT_SET

#define HTTP_CLIENT_ERROR_SOCKET_CANT_SET 5

## HTTP_CLIENT_ERROR_SOCKET_CONNECT

#define HTTP_CLIENT_ERROR_SOCKET_CONNECT 7

## HTTP_CLIENT_ERROR_SOCKET_INVALID

#define HTTP_CLIENT_ERROR_SOCKET_INVALID 4

## HTTP_CLIENT_ERROR_SOCKET_RECV

#define HTTP_CLIENT_ERROR_SOCKET_RECV 9

## HTTP_CLIENT_ERROR_SOCKET_RESOLVE

#define HTTP_CLIENT_ERROR_SOCKET_RESOLVE 6

## HTTP_CLIENT_ERROR_SOCKET_SEND

#define HTTP_CLIENT_ERROR_SOCKET_SEND 10

## HTTP_CLIENT_ERROR_SOCKET_TIME_OUT

#define HTTP_CLIENT_ERROR_SOCKET_TIME_OUT 8

## HTTP_CLIENT_ERROR_TLS_NEGO

#define HTTP_CLIENT_ERROR_TLS_NEGO 30

## HTTP_CLIENT_FLAG_ASYNC

#define HTTP_CLIENT_FLAG_ASYNC 0x00000008

## HTTP_CLIENT_FLAG_KEEP_ALIVE

#define HTTP_CLIENT_FLAG_KEEP_ALIVE 0x00000001

## HTTP_CLIENT_FLAG_NO_CACHE

#define HTTP_CLIENT_FLAG_NO_CACHE 0x00000004

## HTTP_CLIENT_FLAG_SEND_CHUNKED

#define HTTP_CLIENT_FLAG_SEND_CHUNKED 0x00000002

## HTTP_CLIENT_MAX_URL_LENGTH

#define HTTP_CLIENT_MAX_URL_LENGTH 512

## HTTP_CLIENT_STATE_HEAD_SENT

#define HTTP_CLIENT_STATE_HEAD_SENT 0x00000008

## HTTP_CLIENT_STATE_HEADERS_OK

#define HTTP_CLIENT_STATE_HEADERS_OK 0x00000100

## HTTP_CLIENT_STATE_HEADERS_PARSED

#define HTTP_CLIENT_STATE_HEADERS_PARSED 0x00000080

## HTTP_CLIENT_STATE_HEADERS_RECIVED

#define HTTP_CLIENT_STATE_HEADERS_RECIVED 0x00000040

## HTTP_CLIENT_STATE_HOST_CONNECTED

#define HTTP_CLIENT_STATE_HOST_CONNECTED 0x00000004

## HTTP_CLIENT_STATE_INIT

#define HTTP_CLIENT_STATE_INIT 0x00000001

## HTTP_CLIENT_STATE_POST_SENT

#define HTTP_CLIENT_STATE_POST_SENT 0x00000010

## HTTP_CLIENT_STATE_PRE_INIT

#define HTTP_CLIENT_STATE_PRE_INIT 0x00000000

## HTTP_CLIENT_STATE_REQUEST_SENT

#define HTTP_CLIENT_STATE_REQUEST_SENT 0x00000020

## HTTP_CLIENT_STATE_URL_PARSED

#define HTTP_CLIENT_STATE_URL_PARSED 0x00000002

## HTTP_CLIENT_SUCCESS

#define HTTP_CLIENT_SUCCESS 0

## HTTP_CLIENT_UNKNOWN_ERROR

#define HTTP_CLIENT_UNKNOWN_ERROR 1

## Typedef Documentation

## HTTP_AUTH_SCHEMA

typedef enum _HTTP_AUTH_SCHEMA HTTP_AUTH_SCHEMA

## HTTP_CLIENT

typedef struct _HTTP_CLIENT HTTP_CLIENT

## HTTP_VERB

typedef enum _HTTP_VERB HTTP_VERB

## Enumeration Type Documentation

## _HTTP_AUTH_SCHEMA

enum _HTTP_AUTH_SCHEMA

Enumerator
AuthSchemaNone |
AuthSchemaBasic |
AuthSchemaDigest |
AuthSchemaKerberos |
AuthNotSupported |

## _HTTP_VERB

enum _HTTP_VERB

Enumerator
VerbGet |
VerbHead |
VerbPost |
VerbNotSupported |